SystemOrganization addCategory: #Equipment_TiT!

Object subclass: #PLCInput
	instanceVariableNames: 'LabelInput'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Equipment_TiT'!

PLCInput subclass: #AnalogInput
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Equipment_TiT'!

!AnalogInput methodsFor: 'as yet unclassified' stamp: 'PEREZDUPONT 4/27/2012 14:18'!
Label

	"comment stating purpose of message"

	| temporary variable names |
	! !

!AnalogInput methodsFor: 'as yet unclassified' stamp: 'PEREZDUPONT 4/27/2012 14:59'!
SetUp

	valeurcourante :=0.! !

!AnalogInput methodsFor: 'as yet unclassified' stamp: 'PEREZDUPONT 5/25/2012 08:50'!
initialize 
	
	super initialize.
	valeurcourante :=0.! !

!AnalogInput methodsFor: 'as yet unclassified' stamp: 'PEREZDUPONT 4/27/2012 14:57'!
pointValue
	^valeurcourante
! !

!AnalogInput methodsFor: 'as yet unclassified' stamp: 'PEREZDUPONT 4/27/2012 15:13'!
pointValue: aSmallInteger 
	aSmallInteger<0 ifTrue: [valeurcourante := 0].
	
	aSmallInteger>0 ifTrue: [valeurcourante := aSmallInteger].
	
	aSmallInteger>32767 ifTrue: [valeurcourante := 32767].
	! !

!AnalogInput methodsFor: 'as yet unclassified' stamp: 'PEREZDUPONT 4/27/2012 15:00'!
setUp

	valeurcourante :=0! !

PLCInput subclass: #DigitalInput
	instanceVariableNames: 'varState'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Equipment_TiT'!

!DigitalInput methodsFor: 'as yet unclassified' stamp: 'PEREZDUPONT 5/25/2012 08:50'!
initialize 
	
	super initialize.! !

!DigitalInput methodsFor: 'as yet unclassified' stamp: 'PEREZDUPONT 4/27/2012 16:08'!
label: aByteString 
! !

!DigitalInput methodsFor: 'as yet unclassified' stamp: 'PEREZDUPONT 4/27/2012 17:18'!
state
	^varState! !

!DigitalInput methodsFor: 'as yet unclassified' stamp: 'PEREZDUPONT 4/27/2012 16:20'!
state: boolean 
	^varState! !

!DigitalInput methodsFor: 'as yet unclassified' stamp: 'PEREZDUPONT 4/27/2012 16:19'!
stateOff
		varState := false! !

!DigitalInput methodsFor: 'as yet unclassified' stamp: 'PEREZDUPONT 4/27/2012 16:19'!
stateOn
	varState := true! !

!PLCInput methodsFor: 'as yet unclassified' stamp: 'PEREZDUPONT 5/25/2012 08:48'!
initialize 

	LabelInput := ''.! !

!PLCInput methodsFor: 'as yet unclassified' stamp: 'PEREZDUPONT 5/25/2012 08:46'!
label
	^LabelInput! !

!PLCInput methodsFor: 'as yet unclassified' stamp: 'PEREZDUPONT 5/25/2012 08:47'!
label: aByteString 
	LabelInput  := aByteString! !

Object subclass: #RFGenerator
	instanceVariableNames: 'Value CurrentValue pwrOn EtatPwr EtatRf stateGene'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Equipment_TiT'!

!RFGenerator methodsFor: 'as yet unclassified' stamp: 'PEREZDUPONT 5/25/2012 10:53'!
currentPower

	Value pointValue <0 ifTrue: [CurrentValue := 0].
	
	Value pointValue >0 ifTrue: [CurrentValue  := Value pointValue / 6.5534].
	
	Value pointValue >=32767 ifTrue: [CurrentValue := 5000].
	
	^CurrentValue rounded! !

!RFGenerator methodsFor: 'as yet unclassified' stamp: 'PEREZDUPONT 5/25/2012 09:57'!
initialize
	
	CurrentValue ifNil: [CurrentValue := 0].! !

!RFGenerator methodsFor: 'as yet unclassified' stamp: 'PEREZDUPONT 5/25/2012 10:18'!
inputCurrentPower: anAnalogInput 

	Value:=anAnalogInput.

	! !

!RFGenerator methodsFor: 'as yet unclassified' stamp: 'PEREZDUPONT 4/27/2012 16:37'!
inputPwrOn: aDigitalInput 
	EtatPwr := aDigitalInput .! !

!RFGenerator methodsFor: 'as yet unclassified' stamp: 'PEREZDUPONT 4/27/2012 16:36'!
inputRfOn: aDigitalInput 
	EtatRf := aDigitalInput.! !

!RFGenerator methodsFor: 'as yet unclassified' stamp: 'PerezDupont 6/17/2012 22:32'!
isRunnig
	stateGene :=  (EtatPwr state  & EtatRf state ).
	^ (EtatPwr state  & EtatRf state )! !

TestCase subclass: #TestInput
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Equipment_TiT'!

!TestInput methodsFor: 'as yet unclassified' stamp: 'PEREZDUPONT 4/27/2012 15:27'!
testSchouldLabelReturnLabel
	|power|
	
	power := AnalogInput new.
	power label: 'QPW1'.
	
	self assert: power label  equals: 'QPW1' .! !

!TestInput methodsFor: 'as yet unclassified' stamp: 'PEREZDUPONT 4/27/2012 15:25'!
testSchouldNegValueReturnZero
	|power|
	
	power := AnalogInput new.
	power pointValue: -1.
	
	self assert: power pointValue  equals: 0 .! !

!TestInput methodsFor: 'as yet unclassified' stamp: 'PEREZDUPONT 4/27/2012 14:50'!
testSchouldReturnValue
	|power|
	
	power := AnalogInput new.
	power label: 'QPw1'.
	power pointValue: 15000.
	power pointValue.
	
	self assert: power pointValue  equals: 15000 .! !

!TestInput methodsFor: 'as yet unclassified' stamp: 'PEREZDUPONT 4/27/2012 14:49'!
testSchouldReturnZero
	|power|
	
	power := AnalogInput new.
	power label: 'QPw1'.
	power pointValue.
	
	self assert: power pointValue  equals: 0 .! !

!TestInput methodsFor: 'as yet unclassified' stamp: 'PEREZDUPONT 4/27/2012 15:15'!
testSchouldSupMaxValueReturnMax
	|power|
	
	power := AnalogInput new.
	power pointValue: 40000.
	
	self assert: power pointValue  equals: 32767 .! !

TestCase subclass: #TestRfGenerator
	instanceVariableNames: 'pwrOn rfOn myGenerator inputPower'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Equipment_TiT'!

!TestRfGenerator methodsFor: 'as yet unclassified' stamp: 'PEREZDUPONT 5/25/2012 09:26'!
setUp
	pwrOn := DigitalInput new.
	pwrOn label: 'PWRON'.
	
	rfOn := DigitalInput new.
	rfOn label: 'RFON'.
	
	inputPower := AnalogInput new.
	inputPower label: 'QPW1'.
	
	myGenerator := RFGenerator new.
	myGenerator
		inputPwrOn: pwrOn;
		inputRfOn: rfOn;
		inputCurrentPower: inputPower.! !

!TestRfGenerator methodsFor: 'as yet unclassified' stamp: 'PerezDupont 6/17/2012 22:30'!
testSchouldIsrunningReturnFalseWhenStateoff
	pwrOn stateOff.
	rfOn stateOff.
	myGenerator isRunnig.
	
	self assert: myGenerator isRunnig equals:  false.! !

!TestRfGenerator methodsFor: 'as yet unclassified' stamp: 'PEREZDUPONT 4/27/2012 16:14'!
testSchouldIsrunningReturnFalseWhenStateoffpwrOnTrue
	pwrOn stateOn.
	rfOn stateOff.
	myGenerator isRunnig.
	
	self assert: myGenerator isRunnig equals:  false.! !

!TestRfGenerator methodsFor: 'as yet unclassified' stamp: 'PEREZDUPONT 4/27/2012 16:15'!
testSchouldIsrunningReturnFalseWhenStateoffrfOnTrue
	pwrOn stateOff.
	rfOn stateOn.
	myGenerator isRunnig.
	
	self assert: myGenerator isRunnig equals:  false.! !

!TestRfGenerator methodsFor: 'as yet unclassified' stamp: 'PEREZDUPONT 4/27/2012 16:16'!
testSchouldIsrunningReturnTrueWhenStateOn
	pwrOn stateOn.
	rfOn stateOn.
	myGenerator isRunnig.
	
	self assert: myGenerator isRunnig equals:  true.! !

!TestRfGenerator methodsFor: 'as yet unclassified' stamp: 'PerezDupont 6/17/2012 22:32'!
testSchouldLabelReturnLabel

	self assert: pwrOn label  equals: 'PWRON' .
	self assert: rfOn label  equals: 'RFON' .
	self assert: inputPower label  equals: 'QPW1' .! !

!TestRfGenerator methodsFor: 'as yet unclassified' stamp: 'PEREZDUPONT 5/25/2012 09:34'!
testSchouldReturn0ForPointValueEqual0


	inputPower pointValue: 0.
	myGenerator currentPower.
	
	self assert: myGenerator currentPower equals: 0 .! !

!TestRfGenerator methodsFor: 'as yet unclassified' stamp: 'PEREZDUPONT 5/25/2012 10:23'!
testSchouldReturn1000ForPointValueEqual153


	inputPower pointValue: 1000.
	
	self assert: myGenerator currentPower equals: 153 .! !

!TestRfGenerator methodsFor: 'as yet unclassified' stamp: 'PEREZDUPONT 5/25/2012 10:17'!
testSchouldReturn32767ForPointValueEqual5000


	inputPower pointValue: 32767.
	
	self assert: myGenerator currentPower equals: 5000 .! !
